package org.jeecg.modules.app.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.app.vo.AppIsinVerifyVO;
import org.jeecg.modules.app.vo.AppOrderUseRecordsVO;
import org.jeecg.modules.system.app.entity.AppIsin;

import java.text.ParseException;

public interface IAppIsinService extends IService<AppIsin> {

    Page<AppIsinVerifyVO> pageAppIsinVerifyRecords(Page<AppIsinVerifyVO> page, String orgCode);

    Page<AppIsinVerifyVO> pageAppIsinVerifies(Page<AppIsinVerifyVO> page, String userId);

    String repealVerifyRecord(String appIsinId) throws ParseException;

    AppOrderUseRecordsVO queryOrderUseRecords(String ticketNo);
}
